Bug 1022529 - ensure that XML metadata are valid
ensure that XML metadata are valid
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 09:17 EDT by Marek Grac
Modified: 2014-06-18 03:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: fence-agents-4.0.2-11.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:19:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2013-10-23 09:17:10 EDT
Add an automatic test to check if metadata output reflect standard for fence agents (defined by relax NG)
Comment 3 Marek Grac 2014-01-23 12:44:05 EST
Fixed for fence_kdump:

https://git.fedorahosted.org/cgit/fence-agents.git/commit/?id=849d0dba262c2111446fb5a03040b22146c35726

The rest binaries are not part of fence agents. This RNG is not a standard yet, so there is no need for others to respect it completely.
Comment 6 Ludek Smid 2014-06-13 06:19:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.